import request from '@/utils/request'

// 查询作业证书一览列表
export function listWorkcertificateCbps(query) {
  return request({
    url: '/training/workcertificateCbps/list',
    method: 'get',
    params: query
  })
}

// 查询作业证书一览详细
export function getWorkcertificateCbps(id) {
  return request({
    url: '/training/workcertificateCbps/' + id,
    method: 'get'
  })
}

// 新增作业证书一览
export function addWorkcertificateCbps(data) {
  return request({
    url: '/training/workcertificateCbps',
    method: 'post',
    data: data
  })
}

// 修改作业证书一览
export function updateWorkcertificateCbps(data) {
  return request({
    url: '/training/workcertificateCbps',
    method: 'put',
    data: data
  })
}

// 删除作业证书一览
export function delWorkcertificateCbps(id) {
  return request({
    url: '/training/workcertificateCbps/' + id,
    method: 'delete'
  })
}

// 导出作业证书一览
export function exportWorkcertificateCbps(query) {
  return request({
    url: '/training/workcertificateCbps/export',
    method: 'get',
    params: query
  })
}